Groovy 1.7.10

## org.codehaus.groovy.ast.builder
[Groovy] Class AstStringCompiler

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstStringCompiler

    @PackageScope
    class AstStringCompiler
    extends Object

This class handles converting Strings to ASTNode lists.

Authors:
  Hamlet D'Arcy

Method Summary
`List` | `compile(String script, CompilePhase compilePhase, boolean statementsOnly)` Performs the String source to List of ASTNode.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### compile

    List compile(String script, CompilePhase compilePhase, boolean statementsOnly)

  Performs the String source to List of ASTNode.
  Parameters:
    `script` - a Groovy script in String form
    `compilePhase` - the int based CompilePhase to compile it to.
    statementsOnly

Copyright © 2003-2010 The Codehaus. All rights reserved.